Name: hunspell-de
Summary: German hunspell dictionaries
%define upstreamid 20051213
Version: 0.%{upstreamid}
Release: 1%{?dist}
Source0: http://j3e.de/hunspell/de_DE-%{upstreamid}.zip
Source1: http://j3e.de/hunspell/de_CH-%{upstreamid}.zip
Group: Applications/Text
URL: http://j3e.de/hunspell/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License: GPL
BuildArch: noarch

Requires: hunspell

%description
German (Germany, Switzerland, etc.) hunspell dictionaries.

%prep
%setup -q -c -n hunspell-de
unzip -q -o %{SOURCE1}

%build
tr -d '\r' < README_de_DE.txt > README_de_DE.txt.new
tr -d '\r' < README_de_CH.txt > README_de_CH.txt.new
mv -f README_de_DE.txt.new README_de_DE.txt
mv -f README_de_CH.txt.new README_de_CH.txt

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/myspell
chmod -x *
cp -p *.dic *.aff $RPM_BUILD_ROOT/%{_datadir}/myspell

pushd $RPM_BUILD_ROOT/%{_datadir}/myspell/
de_DE_aliases="de_BE de_LU"
for lang in $de_DE_aliases; do
	ln -s de_DE.aff $lang.aff
	ln -s de_DE.dic $lang.dic
done
de_CH_aliases="de_LI"
for lang in $de_CH_aliases; do
	ln -s de_CH.aff $lang.aff
	ln -s de_CH.dic $lang.dic
done
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README_de_DE.txt README_de_CH.txt COPYING_OASIS COPYING
%{_datadir}/myspell/*

%changelog
* Thu Dec 07 2006 Caolan McNamara <caolanm@redhat.com> - 0.20051213-1
- initial version
